﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CareerDayWCFWebService
{
    using System.Runtime.Serialization;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Major", Namespace="http://schemas.datacontract.org/2004/07/CareerDayWCFWebService")]
    public partial class Major : object, System.Runtime.Serialization.IExtensibleDataObject
    {
        
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private int MajIDField;
        
        private string MajNameField;
        
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData
        {
            get
            {
                return this.extensionDataField;
            }
            set
            {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int MajID
        {
            get
            {
                return this.MajIDField;
            }
            set
            {
                this.MajIDField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string MajName
        {
            get
            {
                return this.MajNameField;
            }
            set
            {
                this.MajNameField = value;
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Company", Namespace="http://schemas.datacontract.org/2004/07/CareerDayWCFWebService")]
    public partial class Company : object, System.Runtime.Serialization.IExtensibleDataObject
    {
        
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private bool AddtlInterviewField;
        
        private bool InDiggerNetField;
        
        private bool InfoSessionField;
        
        private CareerDayWCFWebService.WantsToMeetWith[] WantsToMeetWithListField;
        
        private bool freeInterviewField;
        
        private string orgBoothNoField;
        
        private string orgDescField;
        
        private int orgIDField;
        
        private string orgNameField;
        
        private string orgURLField;
        
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData
        {
            get
            {
                return this.extensionDataField;
            }
            set
            {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool AddtlInterview
        {
            get
            {
                return this.AddtlInterviewField;
            }
            set
            {
                this.AddtlInterviewField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool InDiggerNet
        {
            get
            {
                return this.InDiggerNetField;
            }
            set
            {
                this.InDiggerNetField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool InfoSession
        {
            get
            {
                return this.InfoSessionField;
            }
            set
            {
                this.InfoSessionField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public CareerDayWCFWebService.WantsToMeetWith[] WantsToMeetWithList
        {
            get
            {
                return this.WantsToMeetWithListField;
            }
            set
            {
                this.WantsToMeetWithListField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool freeInterview
        {
            get
            {
                return this.freeInterviewField;
            }
            set
            {
                this.freeInterviewField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string orgBoothNo
        {
            get
            {
                return this.orgBoothNoField;
            }
            set
            {
                this.orgBoothNoField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string orgDesc
        {
            get
            {
                return this.orgDescField;
            }
            set
            {
                this.orgDescField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int orgID
        {
            get
            {
                return this.orgIDField;
            }
            set
            {
                this.orgIDField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string orgName
        {
            get
            {
                return this.orgNameField;
            }
            set
            {
                this.orgNameField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string orgURL
        {
            get
            {
                return this.orgURLField;
            }
            set
            {
                this.orgURLField = value;
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="WantsToMeetWith", Namespace="http://schemas.datacontract.org/2004/07/CareerDayWCFWebService")]
    public partial class WantsToMeetWith : object, System.Runtime.Serialization.IExtensibleDataObject
    {
        
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string[] levelIDsField;
        
        private string majorIDField;
        
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData
        {
            get
            {
                return this.extensionDataField;
            }
            set
            {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string[] levelIDs
        {
            get
            {
                return this.levelIDsField;
            }
            set
            {
                this.levelIDsField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string majorID
        {
            get
            {
                return this.majorIDField;
            }
            set
            {
                this.majorIDField = value;
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Level", Namespace="http://schemas.datacontract.org/2004/07/CareerDayWCFWebService")]
    public partial class Level : object, System.Runtime.Serialization.IExtensibleDataObject
    {
        
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private int LvlIDField;
        
        private string LvlNameField;
        
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData
        {
            get
            {
                return this.extensionDataField;
            }
            set
            {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int LvlID
        {
            get
            {
                return this.LvlIDField;
            }
            set
            {
                this.LvlIDField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string LvlName
        {
            get
            {
                return this.LvlNameField;
            }
            set
            {
                this.LvlNameField = value;
            }
        }
    }
}


[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
[System.ServiceModel.ServiceContractAttribute(ConfigurationName="iCareerDayRESTService")]
public interface iCareerDayRESTService
{
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/iCareerDayRESTService/GetMajorList", ReplyAction="http://tempuri.org/iCareerDayRESTService/GetMajorListResponse")]
    CareerDayWCFWebService.Major[] GetMajorList();
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/iCareerDayRESTService/GetMajorList", ReplyAction="http://tempuri.org/iCareerDayRESTService/GetMajorListResponse")]
    System.Threading.Tasks.Task<CareerDayWCFWebService.Major[]> GetMajorListAsync();
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/iCareerDayRESTService/GetCompanyList", ReplyAction="http://tempuri.org/iCareerDayRESTService/GetCompanyListResponse")]
    CareerDayWCFWebService.Company[] GetCompanyList();
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/iCareerDayRESTService/GetCompanyList", ReplyAction="http://tempuri.org/iCareerDayRESTService/GetCompanyListResponse")]
    System.Threading.Tasks.Task<CareerDayWCFWebService.Company[]> GetCompanyListAsync();
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/iCareerDayRESTService/GetCompanyById", ReplyAction="http://tempuri.org/iCareerDayRESTService/GetCompanyByIdResponse")]
    CareerDayWCFWebService.Company GetCompanyById(string id);
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/iCareerDayRESTService/GetCompanyById", ReplyAction="http://tempuri.org/iCareerDayRESTService/GetCompanyByIdResponse")]
    System.Threading.Tasks.Task<CareerDayWCFWebService.Company> GetCompanyByIdAsync(string id);
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/iCareerDayRESTService/GetLevelList", ReplyAction="http://tempuri.org/iCareerDayRESTService/GetLevelListResponse")]
    CareerDayWCFWebService.Level[] GetLevelList();
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/iCareerDayRESTService/GetLevelList", ReplyAction="http://tempuri.org/iCareerDayRESTService/GetLevelListResponse")]
    System.Threading.Tasks.Task<CareerDayWCFWebService.Level[]> GetLevelListAsync();
}

[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
public interface iCareerDayRESTServiceChannel : iCareerDayRESTService, System.ServiceModel.IClientChannel
{
}

[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
public partial class iCareerDayRESTServiceClient : System.ServiceModel.ClientBase<iCareerDayRESTService>, iCareerDayRESTService
{
    
    public iCareerDayRESTServiceClient()
    {
    }
    
    public iCareerDayRESTServiceClient(string endpointConfigurationName) : 
            base(endpointConfigurationName)
    {
    }
    
    public iCareerDayRESTServiceClient(string endpointConfigurationName, string remoteAddress) : 
            base(endpointConfigurationName, remoteAddress)
    {
    }
    
    public iCareerDayRESTServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
            base(endpointConfigurationName, remoteAddress)
    {
    }
    
    public iCareerDayRESTServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
            base(binding, remoteAddress)
    {
    }
    
    public CareerDayWCFWebService.Major[] GetMajorList()
    {
        return base.Channel.GetMajorList();
    }
    
    public System.Threading.Tasks.Task<CareerDayWCFWebService.Major[]> GetMajorListAsync()
    {
        return base.Channel.GetMajorListAsync();
    }
    
    public CareerDayWCFWebService.Company[] GetCompanyList()
    {
        return base.Channel.GetCompanyList();
    }
    
    public System.Threading.Tasks.Task<CareerDayWCFWebService.Company[]> GetCompanyListAsync()
    {
        return base.Channel.GetCompanyListAsync();
    }
    
    public CareerDayWCFWebService.Company GetCompanyById(string id)
    {
        return base.Channel.GetCompanyById(id);
    }
    
    public System.Threading.Tasks.Task<CareerDayWCFWebService.Company> GetCompanyByIdAsync(string id)
    {
        return base.Channel.GetCompanyByIdAsync(id);
    }
    
    public CareerDayWCFWebService.Level[] GetLevelList()
    {
        return base.Channel.GetLevelList();
    }
    
    public System.Threading.Tasks.Task<CareerDayWCFWebService.Level[]> GetLevelListAsync()
    {
        return base.Channel.GetLevelListAsync();
    }
}
